Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrintAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrintAuxiliary.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrintAuxiliary.cs	(revision 149)
@@ -198,6 +198,62 @@
         }
         #endregion
 
+        #region 注文書データフィールドＳＱＬ作成
+        /// <summary>
+        /// 注文書データフィールドＳＱＬ作成
+        /// </summary>
+        /// <param name="Alias"></param>
+        /// <returns></returns>
+        private string CerateFieldSQL(string Alias)
+        {
+            try
+            {
+                StringBuilder strcmd = new StringBuilder();
+
+                strcmd.AppendFormat(" {0}ConstructionCode", Alias);
+                strcmd.AppendFormat(",{0}SeqNo", Alias);
+                strcmd.AppendFormat(",{0}CompanyCode", Alias);
+                strcmd.AppendFormat(",DATE_FORMAT({0}CreateDate, '%Y/%m/%d')", Alias);
+                strcmd.AppendFormat(",{0}OrderPrice", Alias);
+                strcmd.AppendFormat(",DATE_FORMAT({0}LastRowStringDate, '%Y/%m/%d')", Alias);
+
+                strcmd.AppendFormat(",{0}OrderSheetType", Alias);
+                strcmd.AppendFormat(",{0}PaymentTerms", Alias);
+                strcmd.AppendFormat(",{0}CashRatio", Alias);
+                strcmd.AppendFormat(",{0}BillPeriod", Alias);
+
+                strcmd.AppendFormat(",{0}PrePayments", Alias);
+                strcmd.AppendFormat(",{0}PrePaymentsDays", Alias);
+                strcmd.AppendFormat(",{0}PrePaymentsPrice", Alias);
+                strcmd.AppendFormat(",{0}PartialPayment", Alias);
+                strcmd.AppendFormat(",{0}PartialPaymentMounth", Alias);
+                strcmd.AppendFormat(",{0}PartialPaymentDay1", Alias);
+                strcmd.AppendFormat(",{0}PartialPaymentDay2", Alias);
+                strcmd.AppendFormat(",{0}PartialPaymentPrice", Alias);
+                strcmd.AppendFormat(",{0}CompletionPayment", Alias);
+                strcmd.AppendFormat(",{0}CompletionPaymentDays", Alias);
+                strcmd.AppendFormat(",{0}CompletionPaymentPrice", Alias);
+                strcmd.AppendFormat(",{0}LeadEngineerCode", Alias);
+                strcmd.AppendFormat(",{0}LeadEngineerName", Alias);
+                strcmd.AppendFormat(",{0}SafetyOfficerCode", Alias);
+                strcmd.AppendFormat(",{0}SafetyOfficerName", Alias);
+                strcmd.AppendFormat(",{0}WorkersCount", Alias);
+                strcmd.AppendFormat(",DATE_FORMAT({0}PrintoutDate, '%Y/%m/%d')", Alias);
+
+                strcmd.AppendFormat(", DATE_FORMAT({0}EntryDate, '%Y/%m/%d %H:%i:%s')", Alias);
+                strcmd.AppendFormat(", DATE_FORMAT({0}UpdateDate, '%Y/%m/%d %H:%i:%s')", Alias);
+
+                return strcmd.ToString();
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 注文書データを取得
         /// <summary>
         /// 注文書データを取得して画面表示する
@@ -210,7 +266,9 @@
             try
             {
                 // 注文書データ読込
-                string strSQL = "SELECT A.* FROM PURCHASEORDER A, PROCESSAPPROVALDETAIL B, PROCESSAPPROVAL C";
+                string strSQL = "SELECT";
+                strSQL += CerateFieldSQL("A.");
+                strSQL += " FROM PURCHASEORDER A, PROCESSAPPROVALDETAIL B, PROCESSAPPROVAL C";
                 strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
                 strSQL += string.Format(" AND B.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
